// LimeLogin start
package com.github.games647.fastlogin.core.shared.event;

import net.md_5.bungee.api.plugin.Cancellable;
import net.md_5.bungee.api.plugin.Event;

public class LimePreLoginSecondAttemptEvent extends Event implements Cancellable {

    private final String ip;
    private final String username;
    private boolean cancelled;

    public LimePreLoginSecondAttemptEvent(String ip, String username) {
        this.ip = ip;
        this.username = username;
    }
    public String getIP() {
        return ip;
    }


    public String getUsername() {
        return username;
    }

    @Override
    public boolean isCancelled() {
        return cancelled;
    }

    @Override
    public void setCancelled(boolean cancelled) {
        this.cancelled = cancelled;
    }
}
// LimeLogin end